libbsb bsb2ppm 缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1200277 漏洞类型 缓冲区溢出
发布时间 2005-01-10 更新时间 2005-01-10
CVE编号 CVE-2004-1262 CNNVD-ID CNNVD-200501-186
漏洞平台 N/A CVSS评分 10.0
|漏洞来源
https://www.securityfocus.com/bid/82593
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200501-186
|漏洞详情
libbsb是一套C的BSB类型文件操作库,也包含了一些BSB文件与其他文件格式的转换程序。libbsb0.0.6版本中bsb2ppm程序的bsb_open_header函数存在缓冲溢出漏洞。远程攻击者可以通过特别构造的BSB图片,利用此漏洞执行任意代码。
|受影响的产品
Stuart Cunningham Bsb2ppm 0.0.6
|参考资料

来源:XF
名称:bsb2ppm-bsbopenheader-bo(18586)
链接:http://xforce.iss.net/xforce/xfdb/18586
来源:MISC
链接:http://tigger.uic.edu/~jlongs2/holes/bsb2ppm.txt